Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
MainStatusBar Class Reference
Inheritance diagram for MainStatusBar:

## Public Slots
void | setCaptureFile (capture_file *cf)
void | selectedFieldChanged (FieldInformation *)
void | highlightedFieldChanged (FieldInformation *)
void | pushTemporaryStatus (const QString &message)
void | popTemporaryStatus ()
void | pushFileStatus (const QString &message, const QString &messagetip=QString())
void | popFileStatus ()
void | pushFieldStatus (const QString &message)
void | popFieldStatus ()
void | pushByteStatus (const QString &message)
void | popByteStatus ()
void | pushFilterStatus (const QString &message)
void | popFilterStatus ()
void | pushBusyStatus (const QString &message, const QString &messagetip=QString())
void | popBusyStatus ()
void | pushProgressStatus (const QString &message, bool animate, bool terminate_is_stop=false, gboolean *stop_flag=NULL)
void | updateProgressStatus (int value)
void | popProgressStatus ()
void | selectedFrameChanged (int)
void | updateCaptureStatistics (capture_session *cap_session)
void | updateCaptureFixedStatistics (capture_session *cap_session)
void | captureEventHandler (CaptureEvent ev)

## Signals
void | showExpertInfo ()
void | editCaptureComment ()
void | stopLoading ()

## Public Member Functions
| MainStatusBar (QWidget *parent=0)
void | showExpert ()
void | captureFileClosing ()
void | expertUpdate ()
void | setFileName (CaptureFile &cf)

## Protected Member Functions
virtual void | changeEvent (QEvent *event)

The documentation for this class was generated from the following files:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/main_status_bar.h
- ui/qt/moc_main_status_bar.cpp
- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/main_status_bar.cpp